#                                 swapd 0.6.4
# 
# Release information:
#   pkg:  swapd version 0.6.4
#   url:  http://www.rkeene.org/files/oss/swapd/source/swapd-0.6.4.tar.gz
#   web:  http://www.rkeene.org/oss/swapd/
#   date: Tue Oct 19 18:35:53 CDT 2004
#   mail: swapd@rkeene.org
# --------------------------------------------------------------------------

# RPM Spec file for "swapd"
Summary: Swap file daemon
Name: swapd
Version: 0.6.4
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: http://www.rkeene.org/files/oss/swapd/source/swapd-0.6.4.tar.gz
URL: http://www.rkeene.org/oss/swapd/
Vendor: Keene Enterprises
Packager: Roy Keene <swapd@rkeene.org>

%description
"Swapd" is a daemon that watches free memory and manages swap files. If free
memory drops too low, additional swap files are created. Additionally, if there
is too much free memory, swap files are deactivated and disk space may be
reclaimed.

%prep
%setup

%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || exit 1
make

%install
make install

%files
%defattr(-,root,root)
%doc README
%config /etc/swapd.conf
/usr/sbin/swapd
/usr/man/man8/swapd.8
/usr/man/man5/swapd.conf.5
